Package org.kie.api.fluent

## Interface BoundaryEventNodeBuilder<T extends NodeContainerBuilder<T,​?>>

- All Superinterfaces:
    `NodeBuilder<BoundaryEventNodeBuilder<T>,​T>`

      public interface BoundaryEventNodeBuilder<T extends NodeContainerBuilder<T,​?>>
      extends NodeBuilder<BoundaryEventNodeBuilder<T>,​T>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BoundaryEventNodeBuilder<T>` | `attachedTo​(long attachedToId)` |
    `BoundaryEventNodeBuilder<T>` | `cancelActivity​(boolean cancelActivity)` |
    `T` | `eventTransformer​(java.util.function.UnaryOperator<java.lang.Object> function)` |
    `T` | `eventType​(java.lang.String eventType)` |
    `BoundaryEventNodeBuilder<T>` | `eventType​(java.lang.String prefix, java.lang.String Suffix)` |
    `T` | `scope​(java.lang.String scope)` |
    `BoundaryEventNodeBuilder<T>` | `timeCycle​(java.lang.String timeCycle)` |
    `BoundaryEventNodeBuilder<T>` | `timeCycle​(java.lang.String timeCycle, Dialect dialect)` |
    `BoundaryEventNodeBuilder<T>` | `timeDuration​(java.lang.String timeDuration)` |
    `T` | `variableName​(java.lang.String name)` |

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, name, setMetadata`

- - ### Method Detail

    - #### attachedTo

          BoundaryEventNodeBuilder<T> attachedTo​(long attachedToId)

    - #### eventType

          BoundaryEventNodeBuilder<T> eventType​(java.lang.String prefix,
                                                java.lang.String Suffix)

    - #### timeCycle

          BoundaryEventNodeBuilder<T> timeCycle​(java.lang.String timeCycle)

    - #### timeCycle

          BoundaryEventNodeBuilder<T> timeCycle​(java.lang.String timeCycle,
                                                Dialect dialect)

    - #### timeDuration

          BoundaryEventNodeBuilder<T> timeDuration​(java.lang.String timeDuration)

    - #### cancelActivity

          BoundaryEventNodeBuilder<T> cancelActivity​(boolean cancelActivity)

    - #### eventType

          T eventType​(java.lang.String eventType)

    - #### eventTransformer

          T eventTransformer​(java.util.function.UnaryOperator<java.lang.Object> function)

    - #### scope

          T scope​(java.lang.String scope)

    - #### variableName

          T variableName​(java.lang.String name)